Summary:	A window manager for the X Window System.
Name:		WindowMaker
Version:	0.60.0
Release:	3
Serial:		2
Copyright:	GPL
Group:		User Interface/Desktops
Source0:	ftp://windowmaker.org/pub/WindowMaker-%{version}.tar.bz2
Source1:	ftp://windowmaker.org/pub/WindowMaker-data.tar.gz
Source2:	WindowMaker-asclock.tar.gz
%define		Extras extra-0.1
Source3:	ftp://windowmaker.org/pub/WindowMaker-%{Extras}.tar.gz
Patch1:		WindowMaker-0.60.0-redhat.patch.gz
Patch2:		WindowMaker-0.19.3-wmclock.patch.gz
Patch3:		WindowMaker-0.51.0-areas.patch.gz
Patch4:		WindowMaker-0.51.2-runinst.patch.gz
# Patch5:
Patch6:		WindowMaker-0.53.0-definable-cursor.diff.gz
# Patch7:
# Patch8:
Patch9:		WindowMaker-0.53.0-wheel.diff.gz
Patch10:	WindowMaker-0.53.0-WPrefs-random-iconification.diff.gz
Patch11:	WindowMaker-0.60.0-menu-behavior-improvement.diff.gz
Patch12:	WindowMaker-0.60.0-keyboard_focus_to_listed_wins_only.diff.gz
BuildRoot:	/var/tmp/WindowMaker-root
Requires:	wmconfig, libPropList
Obsoletes:	windowmaker, windowmaker-devel, windowmaker-libs, WindowMaker-devel
Provides:	windowmaker

Vendor:		The Window Maker Team
Url:		http://www.windowmaker.org

Distribution:	FalseHope Custom RPMs
Packager:	Ryan Weaver <ryanw@infohwy.com>

%description
Window Maker is an X11 window manager which emulates the look
and feel of the NeXTSTEP (TM) graphical user interface. It is
relatively fast, feature rich and easy to configure and use. 
Window Maker is part of the official GNU project, which means that 
Window Maker can interoperate with other GNU projects, such as
GNOME.

Window Maker allows users to switch themes 'on the fly,' to place
favorite applications on either an application dock, similar to
AfterStep's Wharf or on a workspace dock, a 'clip' which extends
the application dock's usefulness.

You should install the WindowMaker package if you use Window
Maker as your window manager or if you'd like to try using it.
If you do install the WindowMaker package, you may also want
to install the AfterStep-APPS package, which includes
applets that will work with both AfterStep and Window Maker
window managers. 

%prep
%setup -q -a 1 -a 2 -a 3
%patch1 -p1 -b .redhat
%patch2 -p1 -b .wmclock
%patch3 -p1 -b .areas
%patch4 -p1 -b .runinst
# %patch5 -p1
%patch6 -p1 -b .definable-cursor
# %patch7 -p1
# %patch8 -p1
%patch9 -p1 -b .wheel
%patch10 -p1 -b .random-iconification
%patch11 -p1 -b .menu-behavior-improvement
%patch12 -p1 -b .keyboard_focus_to_listed_wins_only

%build
CFLAGS="$RPM_OPT_FLAGS"
NLSDIR=/usr/share/locale
LINGUAS="cs de dk el es fi fr gl hr it ja ko nl no pl pt ro se tr"
GNUSTEP_LOCAL_ROOT='$(prefix)/X11R6/lib/GNUstep'
export CFLAGS NLSDIR LINGUAS GNUSTEP_LOCAL_ROOT
./configure --prefix=/usr --exec-prefix=/usr/X11R6 \
	--sysconfdir=/etc/X11 \
	--enable-newstyle --enable-superfluous \
	--enable-kde --enable-gnome
make
make Makefile -C asclock
make -C asclock

%install
rm -rf $RPM_BUILD_ROOT
cp -f WindowMaker/plmenu WindowMaker/Defaults/WMRootMenu
make install DESTDIR=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/share/pixmaps
install -m 644 WindowMaker-data/pixmaps/* $RPM_BUILD_ROOT/usr/share/pixmaps
for i in $(ls */README) ; do
    echo $i | sed -e "s|\(.*\)/\(.*\)|\2\.\1|" | xargs cp $i
done
make install DESTDIR=$RPM_BUILD_ROOT -C asclock
strip $RPM_BUILD_ROOT/usr/X11R6/bin/* || :
strip $RPM_BUILD_ROOT/usr/X11R6/lib/GNUstep/Apps/WPrefs.app/WPrefs

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%dir /etc/X11/WindowMaker
%config /etc/X11/WindowMaker/*
/usr/X11R6/bin/*
/usr/X11R6/lib/lib*
/usr/X11R6/lib/GNUstep/Apps/WPrefs.app
/usr/include/*
/usr/share/WindowMaker
/usr/share/locale/*/*/*
%doc AUTHORS BUGFORM BUGS ChangeLog NEWS FAQ* README
%doc TODO MIRRORS README.*
/usr/share/pixmaps/*
/usr/share/WINGs
/usr/man/*/*

%changelog
* Mon Jun 14 1999 Ryan Weaver <ryanw@infohwy.com>
  [WindowMaker-0.60.0-3]
- Added 2 new patches.
- WindowMaker-0.60.0-menu-behavior-improvement.diff.gz
  This is a patch that keeps the root menu from sliding off the
  left side of the screen.  The rationale is that:
    1. menu should popup on screen if possible
    2. BUT, menus should not be posted under the pointer
  Author:  Michael K. Yee <myee@consumernow.com> 
- WindowMaker-0.60.0-keyboard_focus_to_listed_wins_only.diff.gz
  When closing a window or switching between desktops, try
  to assign focus to a window in the window list first
  (i.e., one for which "Skip Window List" has not been
  selected).
  Author: Richard Kilgore <rkilgore@ece.utexas.edu>

* Fri Jun  4 1999 Ryan Weaver <ryanw@infohwy.com>
  [WindowMaker-0.60.0-2]
- Added WindowMaker-0.53.0-WPrefs-random-iconification.diff
  to build.

* Fri Jun  4 1999 Ryan Weaver <ryanw@infohwy.com>
- Updated to 0.60.0
- Re did the redhat patch for the default menus. Failed because of
  the new SHEXEC that replaced some of the EXEC
- Removed the following patches because they did play nice at all
  with 0.60.0 :)
   WindowMaker-0.53.0-clip-captions.diff
   WindowMaker-0.53.0-moveable-dock.diff
   WindowMaker-0.53.0-map-menu.diff
- Removed LINGIA ru because of errors during compile.

* Thu May 27 1999 Ryan Weaver <ryanw@infohwy.com>
- Added Provides: windowmaker to the spec to satisfy those rpms that
  require it.

* Tue May 25 1999 Ryan Weaver <ryanw@infohwy.com>
- Updated to 0.53.0
- Added patches from http://wm.mikomi.org/patches/0.53.0
  WindowMaker-0.53.0-clip-captions.diff
  WindowMaker-0.53.0-definable-cursor.diff
  WindowMaker-0.53.0-moveable-dock.diff
  WindowMaker-0.53.0-map-menu.diff
  WindowMaker-0.53.0-wheel.diff
- Had to modify map-menu patch to make it play nice with the
  moveable-dock patch.

* Mon Apr 19 1999 Preston Brown <pbrown@redhat.com>
- fixed up default config (dock was empty...)

* Thu Apr 15 1999 Cristian Gafton <gafton@redhat.com>
- version 0.52.0

* Wed Apr 14 1999 Preston Brown <pbrown@redhat.com>
- fixed problem with running wmaker.inst in batch mode (forgot comma)

* Mon Apr 12 1999 Preston Brown <pbrown@redhat.com>
- fixed icon problems
- run wmaker.inst in batch mode if no ~/GNUstep/Library/WindowMaker dir exists

* Mon Apr 05 1999 Preston Brown <pbrown@redhat.com>
- strip binaries

* Thu Apr 01 1999 Cristian Gafton <gafton@redhat.com>
- requires cpp

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 4)

* Wed Mar 17 1999 Cristian Gafton <gafton@redhat.com>
- make sure we get the full distribution
- run ldconfig in the post script

* Mon Feb 15 1999 The Rasterman <raster@redhat.com>
- added gnome winhints areas support fix.

* Tue Feb 02 1999 Cristian Gafton <gafton@redhat.com>
- version 0.51.0
